"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseOpenApiSpec = exports.isValidDocument = void 0;
const types_1 = require("./types");
function isValidDocument(spec) {
    // Parse custom sdk json
    const result = types_1.sdkJsonDecoder.safeParse(spec.info['x-sdk-json']);
    if (!result.success) {
        return false;
    }
    return true;
}
exports.isValidDocument = isValidDocument;
function parseOpenApiSpec(spec) {
    types_1.sdkJsonDecoder.parse(spec.info['x-sdk-json']);
    return spec;
}
exports.parseOpenApiSpec = parseOpenApiSpec;
